SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000147: DHCP scope resets itself after changes are made - - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000147Endian FirewallOther Servicespublic2007-03-23 15:002008-02-02 07:28
Reportermarktrent 
Assigned Tora-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target Version2.2-beta3Fixed in Version2.2-beta3 
Summary0000147: DHCP scope resets itself after changes are made -
DescriptionI have noticed that if under DHCP lease options you change the primary dns server to something other than the endian green interface ip, and you change the maximum and minimum lease times and you click save, all appears to be working, but as soon as you click on the "service" tab again and and re-look at the dhcp scope options you will notice that it changes back the primary dns server and the minimum and maximum lease times back to default.

I have checked /etc/dhcpd.conf and in fact when you click save the first time it does infact put the correct values in that file, but in the interface it shows them as being back to default. This could be potentially very confusing to a user
Additional InformationI have duplicated this error on 5 different installs, some are vmware installs and some are installs on native hardware.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000251)
marktrent (reporter)
2007-03-23 15:35

sorry this should not have been created under "documentation Category"
(0000787)
ra-endian (administrator)
2008-01-11 14:46

this bug has fixed in svn.

thank you for the report.

- Issue History
Date Modified Username Field Change
2007-03-23 15:00 marktrent New Issue
2007-03-23 15:35 marktrent Note Added: 0000251
2007-10-27 21:50 peter-endian Status new => assigned
2007-10-27 21:50 peter-endian Assigned To => ra-endian
2007-12-10 17:08 peter-endian Category Documentation => Other Services
2008-01-11 14:46 ra-endian Status assigned => resolved
2008-01-11 14:46 ra-endian Fixed in Version => 2.2-beta3
2008-01-11 14:46 ra-endian Resolution open => fixed
2008-01-11 14:46 ra-endian Note Added: 0000787
2008-01-11 14:46 ra-endian Target Version => 2.2-beta3
2008-02-02 07:28 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker